Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.pool
Class CallableStatement

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.Statement
            |
            +--weblogic.jdbc.pool.Statement
                  |
                  +--weblogic.jdbc.pool.PreparedStatement
                        |
                        +--weblogic.jdbc.pool.CallableStatement

public class CallableStatement
extends PreparedStatement
implements java.sql.CallableStatement, weblogic.jdbc.common.OracleCallableStatement

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.Statement
`cc, conn, key, stmt`

Constructor Summary
`CallableStatement(java.sql.CallableStatement jstmt, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, weblogic.jdbcbase.pool.Connection aConn)`

Method Summary
`java.sql.Array` | `getArray(int i)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)`
`java.sql.Blob` | `getBlob(int i)`
`java.sql.Clob` | `getClob(int i)`
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)`
`java.lang.Object` | `getObject(int i, java.util.Map map)`
`java.sql.Ref` | `getRef(int i)`
`java.sql.ResultSet` | `getResultSet(int parameterIndex)`
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)`
`void` | `registerOutParameter(int i, int sqlType, java.lang.String typeName)`
`void` | `setNull(int i, int sqlType, java.lang.String typeName)`

Methods inherited from class weblogic.jdbc.pool.PreparedStatement
`addBatch, execute, execute, executeQuery, executeQuery, executeUpdate, executeUpdate, getMetaData, setArray, setBlob, setCharacterStream, setClob, setDate, setRef, setTime, setTimestamp`

Methods inherited from class weblogic.jdbc.pool.Statement
`addBatch, clearBatch, executeBatch, getConnection, getFetchDirection, getFetchSize, getResultSet, getResultSetConcurrency, getResultSetType, setFetchDirection, setFetchSize`

Methods inherited from class weblogic.jdbcbase.pool.Statement
`cancel, clearParameters, clearWarnings, close, executeWriteText, executeWriteText, executeWriteText, executeWriteText, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setQueryTimeout, setShort, setString, setTime, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallableStatement

    public CallableStatement(java.sql.CallableStatement jstmt,
                             weblogic.jdbc.common.internal.ConnectionEnv aCc,
                             java.lang.String aKey,
                             weblogic.jdbcbase.pool.Connection aConn)

Method Detail

### getResultSet

    public java.sql.ResultSet getResultSet(int parameterIndex)
                                    throws java.sql.SQLException

  Specified by:
    getResultSet in interface weblogic.jdbc.common.OracleCallableStatement

  Parameters:
    `parameterIndex` - int
  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### setNull

    public void setNull(int i,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Overrides:
    setNull in class PreparedStatement

### registerOutParameter

    public void registerOutParameter(int i,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.CallableStatement

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.CallableStatement

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.CallableStatement

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.CallableStatement

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.CallableStatement

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.CallableStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD